# $Revision: 1.176 $, $Date: 2008-02-06 21:05:41 $
# TODO
# - CC in checkpass
# - ipv6 patches do not apply (i don't need)
# - relayclient-external does not apply
# - maildir++ quota patch
# - sort patches
#
# - apply patches from http://www-dt.e-technik.uni-dortmund.de/~ma/qmail-bugs.html
#  - 3.2. RFC-2821 (SMTP) violation (Mail Routing)
#   http://www-dt.e-technik.uni-dortmund.de/~ma/qmail/patch-qmail-1.03-rfc2821.diff
#
#  - http://netdevice.com/qmail/rcptck/
#   - goodrcptto http://netdevice.com/qmail/patch/
#
#  - http://www3.sympatico.ca/humungusfungus/code/validrcptto.html
#
# - http://www.google.com/search?hl=en&lr=&client=firefox-a&q=qmail+message-id+patch&btnG=Search
# - http://asg.web.cmu.edu/archive/message.php?mailbox=archive.info-cyrus&msg=23375
#
# - http://freshmeat.net/projects/qmail_install/?branch_id=43628&release_id=146487
#
# Conditional build:
%bcond_with	msglog		# with qmail-msglog (advanced e-mail monitoring -- qmail-command to *all* local mail)
%bcond_with	routing		# with no-mail-routing patch (%)
%bcond_with	home_etc	# with home_etc
%bcond_without	tls		# disable tls
%bcond_with	ipv6		# enable ipv6
%bcond_without	dkeys	# without domainkeys support
#
%define	qhpsi_ver	0.1.7
#
Summary:	qmail Mail Transport Agent
Summary(pl.UTF-8):	qmail - serwer pocztowy (MTA)
Name:		qmail
Version:	1.03
Release:	63
License:	Public Domain
Group:		Networking/Daemons
Source0:	http://cr.yp.to/software/%{name}-%{version}.tar.gz
# Source0-md5:	622f65f982e380dbe86e6574f3abcb7c
Source1:	http://cr.yp.to/software/dot-forward-0.71.tar.gz
# Source1-md5:	1fefd9760e4706491fb31c7511d69bed
Source2:	http://cr.yp.to/software/fastforward-0.51.tar.gz
# Source2-md5:	6dc619180ba9726380dc1047e45a1d8d
Source4:	checkpass-1.2.tar.gz
# Source4-md5:	6818629dc74737f3ca33ca97ab4ffcc4
Source5:	http://www.netmeridian.com/e-huss/queue-fix-1.4.tar.gz
# Source5-md5:	43f915c104024e6f33a5b3ff52dfb75b
Source6:	http://glen.alkohol.ee/pld/qmail/%{name}-conf-20061222.tar.bz2
# Source6-md5:	b844f22a9134ee16ee7a9f81c223ac80
Source7:	http://iidea.pl/~paweln/tlum/%{name}-doki.tar.bz2
# Source7-md5:	2d85f0f9f8408cf6caab9f9bc8f68657
Source8:	%{name}-linux.sh
Source9:	%{name}-linux.csh
Source10:	%{name}-aliases
Source11:	%{name}-default
Source12:	%{name}-msglog
Source13:	%{name}-default-delivery
Source14:	%{name}-lint-0.51.pl
Source15:	%{name}-qsanity-0.51.pl
Source16:	tarpit.README
Source17:	http://www.fehcom.de/qmail/qhpsi/qhpsi-%(echo %{qhpsi_ver} | tr -d .)_tgz.bin
# Source17-md5:	18afa1762ba0b419deb26416b6a21a65
Source18:	%{name}.logrotate
Source19:	%{name}.logrotate-pop3
Source20:	checkpassword.pamd
Source21:	%{name}-client.html
Source22:	%{name}-cert.pem
Source23:	%{name}-pl-man-pages.tar.bz2
# Source23-md5:	e6230e950257cf46b9b243685d682e3f
Patch0:		%{name}-1.03.install.patch
Patch1:		%{name}-1.03.msglog.patch
Patch2:		%{name}-1.03.redhat.patch
Patch3:		%{name}-1.03.fixed-ids.patch
Patch6:		%{name}-relayclientexternal.patch
Patch8:		tarpit.patch
Patch9:		%{name}-1.03-maxrcpt.patch
Patch11:	%{name}-1.03-v6-20000417.diff.gz
Patch20:	%{name}-no_mail_routing.patch
Patch21:	%{name}-qmqpc-received.patch
Patch23:	%{name}-extbouncer.patch

# Let the system decide how to define errno
Patch26:	%{name}-errno.patch
Patch27:	%{name}-home_etc.patch
Patch28:	%{name}-1.03.errno.patch
# #29 local-tab.patch

# discards doublebounces without queuing them
# http://www.qmail.org/doublebounce-trim.patch
Patch100:	%{name}-doublebounce-trim.patch

# the envelope sender is a valid DNS name:
# http://lsc.kva.hu/dl/qmail-1.03-mfcheck.3.patch
# rediff because of tarpit/tls and other patches
Patch101:	%{name}-1.03-mfcheck.glen.patch
# and a fix for triplebounce (TODO: merge as one patch)
Patch102:	%{name}-mfcheck-triplebounce.patch

# Patch for qmail-smtpd.c which enforces a '.' character to be included in the HELO command before accepting email.
# http://www.pgregg.com/projects/qmail/qmail-smtpd.c_103_fqdnhelo-diff.txt
Patch103:	%{name}-smtpd-fqdnhelo.diff

# Removing the bodge that works around a BIND version 4 problem
# http://homepages.tesco.net./~J.deBoynePollard/Softwares/qmail/any-to-cname.patch
Patch104:	%{name}-any-to-cname.patch

# Patches from http://www-dt.e-technik.uni-dortmund.de/~ma/qmail-bugs.html
# Maildir file name creation is not collision proof. Mail loss possible depending on mail user agent.
Patch106:	http://vorlon.cwru.edu/~tmb2/qmail-1.03/%{name}-1.03-maildir-uniq.patch

# Gentoo patches 200-
# Last check: qmail-1.03-r15.ebuild

# SMTP AUTH (2 way), Qregex and STARTTLS support
Patch200:	ftp://ftp.linux.ee/pub/gentoo/distfiles/distfiles/qregex-starttls-2way-auth.patch
# Fixing a memory leak in Qregex support
Patch207:	%{name}-1.03-qregex-memleak-fix.patch

# Fixes a problem when utilizing "morercpthosts"
Patch214:	smtp-auth-close3.patch

# patch so an alternate queue processor can be used
# i.e. - qmail-scanner
Patch208:	http://www.qmail.org/%{name}queue-patch
# QMAILQUEUE info to documentation
Patch209:	%{name}-qmailqueue-docs-qhpsi.patch

# Support for remote hosts that have QMTP
Patch215:	http://www.qmail.org/%{name}-1.03-qmtpc.patch

# Large TCP DNS replies confuse it sometimes
Patch12:	%{name}-dns.patch

# Fix for tabs in .qmail bug noted at
# http://www.ornl.gov/its/archives/mailing-lists/qmail/2000/10/msg00696.html
# gentoo bug #24293
Patch216:	ftp://ftp.linux.ee/pub/gentoo/distfiles/distfiles/%{name}-local-tabs.patch

# Increase limits for large mail systems
Patch217:	http://www.qmail.org/big-concurrency.patch

# Treat 0.0.0.0 as a local address
Patch202:	http://www.suspectclass.com/~sgifford/qmail/%{name}-1.03-0.0.0.0-0.2.patch

# holdremote support
# http://www.leverton.org/qmail-hold-1.03.pat.gz
Patch210:	%{name}-hold.patch

# sendmail's -f option sets a default From: header, and so should qmail's emulation.
# http://david.acz.org/software/sendmail-flagf.patch
Patch105:	%{name}-sendmail-flagf.patch

# Apply patch to make qmail-local and qmail-pop3d compatible with the
# maildir++ quota system that is used by vpopmail and courier-imap
# This patch has flaw, wrote to author and no resposnse.
#Patch218:	http://www.shupp.org/patches/%{name}-maildir++.patch

# Apply patch for local timestamps.
# This will make the emails headers be written in localtime rather than GMT
Patch203:	%{name}-date-localtime.patch.txt

# Apply patch to trim large bouncing messages down greatly reduces traffic
# when multiple bounces occur (As in with spam)
Patch204:	%{name}-limit-bounce-size.patch.txt

# Apply patch to add ESMTP SIZE support to qmail-smtpd
# This helps your server to be able to reject excessively large messages
# "up front", rather than waiting the whole message to arrive and then
# bouncing it because it exceeded your databytes setting
Patch219:	%{name}-smtpd-esmtp-size-gentoo.patch


# Reject some bad relaying attempts
# gentoo bug #18064
Patch220:	%{name}-smtpd-relay-reject.gentoo.patch

# Allow qmail to re-read concurrency limits on HUP
Patch205:	http://js.hu/package/qmail/%{name}-1.03-reread-concurrency.2.patch

# netscape progress bar bug with POP3d
Patch211:	http://www.qmail.org/netscape-progress.patch

# Making the sendmail binary ignore -N options for compatibility
Patch212:	http://www-dt.e-technik.uni-dortmund.de/~ma/djb/qmail/sendmail-ignore-N.patch

# rediff of original at http://www.qmail.org/accept-5xx.patch
Patch213:	%{name}-1.03-accept-5xx.tls.patch

# Refuse messages from the null envelope sender if they have more than one envelope recipient
Patch206:	%{name}-nullenvsender-recipcount.tarpit.patch

# Qmail does not reliably detect IP aliases on Linux.
Patch221:	http://www-dt.e-technik.uni-dortmund.de/~ma/qmail/patch-%{name}-1.03-4.3BSD-ipalias.diff

# Deliberate RFC-1652 "8BITMIME" violation
Patch222:	http://www-dt.e-technik.uni-dortmund.de/~ma/qmail/patch-%{name}-1.03-rfc1652.diff

# Let qmail accept bare LF in the mail body
Patch223:	%{name}-0.95-liberal-lf-rediff.patch

# qmail-queue replacement that signs and verifies DomainKeys signatures.
Patch224:	http://www.qmail.org/%{name}-1.03-dk-0.53.patch
Patch225:	%{name}-dkeys-shared.patch
Patch226:	%{name}-dkeys-config.patch

# badrcptto v1.02 http://patch.be/qmail/
# TODO: use this instead: http://www.iecc.com/bad-rcpt-noisy-patch.txt
Patch227:	%{name}-badrcptto.patch

URL:		http://www.qmail.org/
BuildRequires:	groff
%{?with_home_etc:BuildRequires:	home-etc-devel >= 1.0.8}
BuildRequires:	libdomainkeys-devel >= 0.66
BuildRequires:	pam-devel
BuildRequires:	ucspi-tcp >= 0.88
%if %{with tls}
BuildRequires:	openssl-devel >= 0.9.7d
Requires:	crondaemon
Requires:	openssl-tools >= 0.9.7d
%endif
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post):	/bin/hostname
Requires(post):	/bin/id
Requires(post):	/bin/sed
Requires(post):	fileutils
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	bzip2
Requires:	daemontools >= 0.76-1.4
%{?with_home_etc:Requires:	home-etc >= 1.0.8}
Requires:	logrotate >= 3.7-4
Requires:	mktemp
Requires:	pam >= 0.77.3
Requires:	rc-scripts >= 0.2.0
Requires:	sh-utils
Requires:	ucspi-tcp >= 0.88
Provides:	group(nofiles)
Provides:	group(qmail)
Provides:	qmail-server
Provides:	qmailmta
Provides:	smtpdaemon
Provides:	user(alias)
Provides:	user(qmaild)
Provides:	user(qmaill)
Provides:	user(qmailp)
Provides:	user(qmailq)
Provides:	user(qmailr)
Provides:	user(qmails)
Obsoletes:	smtpdaemon
Conflicts:	qmail-client
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/qmail
%define 	tcprules 	/etc/tcprules.d
%define		supervise	%{_sysconfdir}/supervise

%define		varqmail	/var/lib/qmail
# not FHS compliant - use freedt with sane path?
%define		servicedir	/service

%description
qmail is a small, fast, secure replacement for the SENDMAIL package,
which is the program that actually receives, routes, and delivers
electronic mail.%{?with_ipv6: This qmail also supports IPv6 protocol.}

Following scripts and programs have been added:
- checkpass - password-checking interface,
- qmail-fix - a small utility for checking and repairing the qmail
  queue structure,
%{?with_msglog:- qmail-msglog - advanced e-mail monitoring,}
- qmail-qsanity - examine all the files in the qmail queue,
- qmail-lint - examine the qmail configuration,
- tarpit - tool to fight with SPAM,
- TLS/SSL support. If you want to use it you must have certificate in
  %{_sysconfdir}/control/servercert.pem.
- QHPSI v%{qhpsi_ver} - The Qmail High Performance Scanner Interface
  http://www.fehcom.de/qmail/qmail.html
%{?with_dkeys:- domainkeys - http://antispam.yahoo.com/domainkeys}

======================================================================
- *** Note: Be sure and read the documentation as there are some small
  but very significant differences between SENDMAIL and QMAIL and the
  programs that interact with them.

%description -l pl.UTF-8
qmail jest małą, szybką oraz bezpieczną alternatywą do sendmaila,
która umożliwia otrzymywanie, przesyłanie oraz wysyłanie poczty
elektronicznej.%{?with_ipv6: Ten qmail dodatkowo wspiera protokół IPv6.}

Zostały dodane do tego pakietu następujące skrypty i programy:
- checkpass - interfejs do sprawdzania haseł,
- qmail-fix - program do sprawdzania oraz naprawiania struktury
  kolejki pocztowej qmail-a,
%{?with_msglog:- qmail-msglog - zaawansowane monitorowanie listów,}
- qmail-qsanity - sprawdza kolejkę pocztową qmail-a,
- qmail-lint - sprawdza konfigurację qmail-a,
- tarpit - kolejne narzędzie do walki ze SPAM-em,
- Obsługa TLS/SSL. Jeśli chcesz tego używać musisz mieć certyfikat w
  %{_sysconfdir}/control/servercert.pem.
- QHPSI v%{qhpsi_ver} - The Qmail High Performance Scanner Interface
  http://www.fehcom.de/qmail/qmail.html
%{?with_dkeys:- domainkeys - http://antispam.yahoo.com/domainkeys}

======================================================================
- *** Uwaga! Przeczytaj uważnie dokumentację do tego pakietu, ponieważ
  istnieją małe, ale znaczące różnice pomiędzy qmailem oraz sendmailem i
  programami, które współpracują z nimi.

%package client
Summary:	qmail Mail Transport Agent - null client
Summary(pl.UTF-8):	qmail - serwer pocztowy (MTA) - cienki klient
Group:		Networking/Daemons
URL:		http://www.qmail.org/
Requires(post):	/bin/hostname
Requires(post):	/bin/sed
Requires(post):	fileutils
Provides:	qmailmta
Provides:	smtpdaemon
Obsoletes:	exim
Obsoletes:	masqmail
Obsoletes:	omta
Obsoletes:	postfix
Obsoletes:	sendmail
Obsoletes:	sendmail-cf
Obsoletes:	sendmail-doc
Obsoletes:	smail
Obsoletes:	smtpdaemon
Obsoletes:	zmailer
Conflicts:	qmail

%description client
qmail is a small, fast, secure replacement for the SENDMAIL package,
which is the program that actually receives, routes, and delivers
electronic mail.%{?with_ipv6: This qmail also supports IPv6 protocol.}

%description client -l pl.UTF-8
qmail jest małą, szybką oraz bezpieczną alternatywą do sendmaila,
która umożliwia otrzymywanie, przesyłanie oraz wysyłanie poczty
elektronicznej.%{?with_ipv6: Ten qmail dodatkowo wspiera protokół IPv6.}

%package maildirmake
Summary:	maildirmake - tool for making qmails' Maildirs
Summary(pl.UTF-8):	maildirmake - narzędzie do zakładania folerow Maildir
Group:		Applications/Mail
Conflicts:	courier-imap-maildirmake

%description maildirmake
Maildirmake is a tool for making mail folders in Maildir format.

%description maildirmake -l pl.UTF-8
Maildirmake jest narzędziem do zakładania folderów w formacie Maildir.

%package perl
Summary:	perl scripts for qmail
Summary(pl.UTF-8):	Skrypty perlowe dla qmaila
Group:		Applications/Mail
Requires:	%{name} = %{version}-%{release}

%description perl
Perl scripts for qmail.

%description perl -l pl.UTF-8
Skrypty perlowe dla qmaila.

%package pop3
Summary:	POP3 server for qmail
Summary(pl.UTF-8):	Serwer POP3 dla qmaila
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	bzip2
Requires:	logrotate
Provides:	pop3daemon
Obsoletes:	imap-pop
Obsoletes:	qpopper
Obsoletes:	qpopper6
Obsoletes:	solid-pop3d
Obsoletes:	solid-pop3d-ssl

%description pop3
POP3 server for qmail.

%description pop3 -l pl.UTF-8
Serwer POP3 dla qmaila.

%prep
%setup -q -a1 -a2 -a4 -a5 -a6
%patch0 -p1 -b .install
%{?with_msglog:%patch1 -p1}
%patch2 -p1 -b .redhat
%patch3 -p1 -b .fixed.ids
%patch200 -p2 -b .qregex-starttls-2way-auth
%patch207 -p1 -b .qregex.memleak
#%patch6 -p1 -b .relayclient-ext .have to rethink logics with tls
%patch8 -p0 -b .tarpit
%patch9 -p0 -b .maxrcpt

# ipv6 patches fail
#%patch11 -p1 -b .qmail-ipv6

%patch12 -p1 -b .dns
%{!?with_routing:%patch20 -p1}
%patch21 -p1 -b .qmqpc-received.patch
%patch23 -p1 -b .extbouncer
%patch26 -p1 -b .errno
%{?with_home_etc:%patch27 -p1 -b .home_etc}
%patch28 -p1 -b .1.03.errno

# Not PLD patches.
%patch100 -p1 -b .doublebounce-trim

%patch101 -p1 -b .mfcheck
%patch102 -p1 -b .mfcheck.2

%patch103 -p1 -b .smtpd-fqdnhelo
# does not apply
#%patch104 -p1 -b .any-to-cname
%patch105 -p1 -b .sendmail-flagf

%patch202 -p1 -b .qmail-0.0.0.0
%patch203 -p1 -b .qmail-date-localtime
%patch204 -p1 -b .qmail-limit-bounce-size
%patch205 -p1 -b .qmail-1.03-reread-concurrency
%patch206 -p1 -b .qmail-nullenvsender-recipcount

# qmail queue
%patch208 -p1 -b .qmailqueue
%patch209 -p1 -b .qmailqueue-docs

# holdremote
# pre-process to remove the header added upstream
cat %{PATCH210} | sed '123,150d' | patch -p0

%patch211 -p0 -b .netscape-progress
%patch212 -p0 -b .sendmail-ignore-N
%patch213 -p1 -b .accept-5xx.tls
%patch214 -p1 -b .smtp-auth-close3
%patch215 -p1 -b .qmtpc
%patch216 -p1 -b .local-tabs
# skip. my systems have hidden limit of 1024 FD_SET size
#%patch217 -p1 -b .big-concurrency
#%patch218 -p1 -b .maildir++
#%patch219 -p1 -b .esmtp-size
%patch220 -p1 -b .smtpd-relay-reject
%patch106 -p1 -b .maildir-uniq
%patch221 -p1 -b .ipalias
#%patch222 -p1 -b .8bitmime
%patch223 -p0 -b .liberal-lf
%if %{with dkeys}
%patch224 -p1 -b .dk
%patch225 -p1 -b .dk-shared
%patch226 -p1 -b .dk-conf
%endif
%patch227 -p1 -b .badrcptto

mkdir -p qhpsi
tar zxvf %{SOURCE17} -C qhpsi
for a in qhpsi/*.patch; do
	patch -p2 < $a
done

# setup compiler. we use CFLAGS redefine rather using conditional patching.
echo -n "%{__cc} %{rpmcflags}" > conf-cc
echo -n "%{__cc} -s" > conf-ld

%if %{with tls}
echo "Enabling SSL/TLS functionality"
echo -n ' -DTLS' >> conf-cc
%endif

%if %{with ipv6}
echo "Enabling IPv6 support"
echo -n ' -DINET6' >> conf-cc
%endif

%if %{with home_etc}
echo "Enabling HOME_ETC"
echo -n ' -DUSE_HOME_ETC' >> conf-cc
echo -n ' -lhome_etc' >> conf-ld
%endif

# remove backup files after patching
rm -f *~

%build
%{__make} CFLAGS="%{rpmcflags}"
%{__make} man
%{__make} -C dot-forward-0.71
%{__make} -C fastforward-0.51
%{__make} -C queue-fix-1.4
%{__make} -C checkpass-1.2

%install
rm -rf $RPM_BUILD_ROOT

install -d boot
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_bindir},%{_mandir},%{_prefix}/lib,%{_libdir}/qmail,%{varqmail}} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,profile.d,mail,pam.d,security,logrotate.d} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{alias,control,users} \

ln -sf ../..%{_sysconfdir}/alias $RPM_BUILD_ROOT%{varqmail}
ln -sf ../..%{_sysconfdir}/control $RPM_BUILD_ROOT%{varqmail}
ln -sf ../..%{_sysconfdir}/users $RPM_BUILD_ROOT%{varqmail}
ln -sf ../..%{_libdir}/qmail $RPM_BUILD_ROOT%{varqmail}/bin
ln -sf ../..%{_mandir} $RPM_BUILD_ROOT%{varqmail}/man
ln -sf $RPM_BUILD_DIR/%{name}-%{version}/boot $RPM_BUILD_ROOT%{varqmail}/boot

./install -s $RPM_BUILD_ROOT

ln -sf qmail-qread $RPM_BUILD_ROOT%{_bindir}/mailq
ln -sf ../..%{varqmail}/bin/sendmail $RPM_BUILD_ROOT%{_sbindir}/sendmail
ln -sf ../..%{varqmail}/bin/sendmail $RPM_BUILD_ROOT%{_prefix}/lib/sendmail

# Set up boot procedures
install %{SOURCE8} $RPM_BUILD_ROOT/etc/profile.d/qmail.sh
install %{SOURCE9} $RPM_BUILD_ROOT/etc/profile.d/qmail.csh

install %{SOURCE18} $RPM_BUILD_ROOT/etc/logrotate.d/qmail
install %{SOURCE19} $RPM_BUILD_ROOT/etc/logrotate.d/qmail-pop3

# tcpserver (supervise)
PV=`basename %{SOURCE6}`
cd ${PV%.tar.bz2}

install -d $RPM_BUILD_ROOT/var/log/{,archive/}qmail

install conf-{common,{pop3,qm{q,t}p,{rbl,}smtp}d,send} $RPM_BUILD_ROOT%{_sysconfdir}/control

install config-sanity-check qmail-config-system $RPM_BUILD_ROOT%{_libdir}/qmail
install rc $RPM_BUILD_ROOT%{varqmail}

install qmail-control $RPM_BUILD_ROOT/etc/rc.d/init.d/qmail

%if %{with tls}
install servercert.cnf $RPM_BUILD_ROOT%{_sysconfdir}/control

# SSL Certificate creation script
install mkservercert $RPM_BUILD_ROOT%{_libdir}/qmail

# RSA key generation cronjob
install -d $RPM_BUILD_ROOT/etc/cron.hourly
install qmail-genrsacert.sh $RPM_BUILD_ROOT/etc/cron.hourly

# for some files
install -d $RPM_BUILD_ROOT/var/qmail/control/tlshosts
> $RPM_BUILD_ROOT%{_sysconfdir}/control/clientcert.pem
%endif

install -d $RPM_BUILD_ROOT%{supervise}
for d in '' log; do
	for i in send smtpd qmtpd qmqpd pop3d; do
		install -d $RPM_BUILD_ROOT/var/log/{,archive/}qmail/$i/$d

		install -d $RPM_BUILD_ROOT%{supervise}/$i/$d
		install -d $RPM_BUILD_ROOT%{supervise}/$i/$d/supervise

		> $RPM_BUILD_ROOT%{supervise}/$i/$d/supervise/lock
		> $RPM_BUILD_ROOT%{supervise}/$i/$d/supervise/status
		mkfifo $RPM_BUILD_ROOT%{supervise}/$i/$d/supervise/control
		mkfifo $RPM_BUILD_ROOT%{supervise}/$i/$d/supervise/ok

		install run-qmail$i$d $RPM_BUILD_ROOT%{supervise}/$i/$d/run
	done
done
# rblsmtpd log is separate. smtpd/log logs there
install -d $RPM_BUILD_ROOT/var/log/{,archive/}qmail/rblsmtpd

install -d $RPM_BUILD_ROOT%{tcprules}
install Makefile.qmail{,-pop3} $RPM_BUILD_ROOT%{tcprules}
for i in smtp qmtp qmqp pop3; do
	install tcp.${i}.sample $RPM_BUILD_ROOT%{tcprules}/tcp.qmail-${i}
	tcprules $RPM_BUILD_ROOT%{tcprules}/tcp.qmail-$i.cdb \
		$RPM_BUILD_ROOT%{tcprules}/.tcp.qmail-$i.tmp < \
		$RPM_BUILD_ROOT%{tcprules}/tcp.qmail-$i
done
cd ..

# Set up mailing aliases
install %{SOURCE10} $RPM_BUILD_ROOT/etc/aliases
ln -sf ../aliases $RPM_BUILD_ROOT/etc/mail/aliases
install %{SOURCE11} $RPM_BUILD_ROOT%{_sysconfdir}/alias/.qmail-default
%{?with_msglog:install %{SOURCE12} $RPM_BUILD_ROOT%{_sysconfdir}/alias/.qmail-msglog}

for i in mailer-daemon postmaster; do
	echo "root" > $RPM_BUILD_ROOT%{_sysconfdir}/alias/.qmail-$i
done
> $RPM_BUILD_ROOT%{_sysconfdir}/alias/.qmail-root

# Set up control files.
for i in defaultdomain locals me plusdomain rcpthosts qmqpservers idhost; do
	> $RPM_BUILD_ROOT%{_sysconfdir}/control/$i
done

# Set up blank qmail/users
for i in assign include exclude mailnames subusers append; do
	> $RPM_BUILD_ROOT%{_sysconfdir}/users/$i
done
echo -n "." > $RPM_BUILD_ROOT%{_sysconfdir}/users/assign

# Set up default delivery
install %{SOURCE13} $RPM_BUILD_ROOT%{_sysconfdir}/control/defaultdelivery

install %{SOURCE14} $RPM_BUILD_ROOT%{varqmail}/bin/qmail-lint
install %{SOURCE15} $RPM_BUILD_ROOT%{varqmail}/bin/qmail-qsanity

# QUEUE FIX command
install queue-fix-1.4/queue-fix $RPM_BUILD_ROOT%{varqmail}/bin

# CHECKPASSWORD command
install checkpass-1.2/checkpass $RPM_BUILD_ROOT%{varqmail}/bin
install %{SOURCE20} $RPM_BUILD_ROOT/etc/pam.d/checkpass
echo "qmaild" > $RPM_BUILD_ROOT/etc/security/checkpass.allow

# DOT FORWARD command and doc
install dot-forward-0.71/dot-forward $RPM_BUILD_ROOT%{varqmail}/bin
install dot-forward-0.71/dot-forward.1 $RPM_BUILD_ROOT%{varqmail}/man/man1

# FAST FORWARD commands and docs
install fastforward-0.51/fastforward $RPM_BUILD_ROOT%{varqmail}/bin
install fastforward-0.51/newaliases $RPM_BUILD_ROOT%{varqmail}/bin
install fastforward-0.51/newinclude $RPM_BUILD_ROOT%{varqmail}/bin
install fastforward-0.51/printforward $RPM_BUILD_ROOT%{varqmail}/bin
install fastforward-0.51/printmaillist $RPM_BUILD_ROOT%{varqmail}/bin
install fastforward-0.51/setforward $RPM_BUILD_ROOT%{varqmail}/bin
install fastforward-0.51/setmaillist $RPM_BUILD_ROOT%{varqmail}/bin
install fastforward-0.51/*.1 $RPM_BUILD_ROOT%{varqmail}/man/man1/

%if %{with dkeys}
install qmail-dk $RPM_BUILD_ROOT%{varqmail}/bin
install qmail-dk.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -d $RPM_BUILD_ROOT%{_sysconfdir}/control/domainkeys
%endif

# default folder in /etc/skel
install -d $RPM_BUILD_ROOT/etc/skel/Mail
./maildirmake $RPM_BUILD_ROOT/etc/skel/Mail/Maildir

install -d checkpass queue-fix
install checkpass-1.2/{CHECKPASSWORD,README} checkpass
install queue-fix-1.4/{CHANGES,README} queue-fix

cp %{SOURCE16} .

# What else?
mv -f $RPM_BUILD_ROOT%{varqmail}/bin/maildir2mbox	$RPM_BUILD_ROOT%{_bindir}
mv -f $RPM_BUILD_ROOT%{varqmail}/bin/maildirmake	$RPM_BUILD_ROOT%{_bindir}
mv -f $RPM_BUILD_ROOT%{varqmail}/bin/maildirwatch	$RPM_BUILD_ROOT%{_bindir}
mv -f $RPM_BUILD_ROOT%{varqmail}/bin/qmail-qread	$RPM_BUILD_ROOT%{_bindir}
mv -f $RPM_BUILD_ROOT%{varqmail}/bin/qmail-qsanity	$RPM_BUILD_ROOT%{_bindir}
mv -f $RPM_BUILD_ROOT%{varqmail}/bin/qmail-qstat	$RPM_BUILD_ROOT%{_bindir}
mv -f $RPM_BUILD_ROOT%{varqmail}/bin/queue-fix		$RPM_BUILD_ROOT%{_bindir}
mv -f $RPM_BUILD_ROOT%{varqmail}/bin/newaliases		$RPM_BUILD_ROOT%{_bindir}
mv -f $RPM_BUILD_ROOT%{varqmail}/bin/qmail-showctl	$RPM_BUILD_ROOT%{_bindir}

# remove mbox(5) man page which is in man-pages now and isn't strict qmail
# man page
rm -f $RPM_BUILD_ROOT%{_mandir}/man5/mbox.5

# remove doc, it's already in %doc
rm -rf $RPM_BUILD_ROOT%{varqmail}/doc

install %{SOURCE21} .

%if %{with tls}
install %{SOURCE22} $RPM_BUILD_ROOT%{_sysconfdir}/control/servercert.pem
> $RPM_BUILD_ROOT%{_sysconfdir}/control/rsa512.pem
%endif

bzip2 -dc %{SOURCE23} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

bzip2 -dc %{SOURCE7} | tar xf -
echo "These are pl-translations taken from: \
	http://iidea.pl/~paweln/tlum/qmail-doki.tar.bz2" > qmail-doki/00-INDEX

# put manual pages to mandir
install -d $RPM_BUILD_ROOT%{_mandir}/pl/man{1,3,5,7,8,9}
# FIXME: these files conflict from qmail-pl-man-pages.tar.bz2
# qmail-clean.8 qmail-command.8 qmail-inject.8 qmail-local.8 qmail-lspawn.8
# qmail-qmqpc.8 qmail-qmqpd.8 qmail-qmtpd.8 qmail-qread.8 qmail-qstat.8
# qmail-queue.8 qmail-remote.8 qmail-rspawn.8 qmail-send.8 maildir.5
# qmail-control.5
#
# dot-qmail.9.gz qmail-getpw.9.gz qmail-limits.9.gz qmail-newmrh.9.gz
# qmail-newu.9.gz qmail-pw2u.9.gz qmail-send.9.gz qmail-start.9.gz
# qmail-users.9.gz
for a in 1 3 5 7 8 9; do
	i=$a
	# put .9 to .5
	[ "$a" = 9 ] && i=5
	install qmail-doki/*.$a $RPM_BUILD_ROOT%{_mandir}/pl/man$i
done
rm -f qmail-doki/*.[135789]
rm -f INSTALL.redhat.redhat # size 0

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Add few users and groups
%groupadd -g 81 nofiles
%groupadd -g 82 qmail
%useradd -g nofiles -d %{varqmail} -u 81 -s /bin/false qmaild
%useradd -g nofiles -d %{varqmail}/alias -u 82 -s /bin/false alias
%useradd -g qmail -d %{varqmail} -u 83 -s /bin/false qmailq
%useradd -g qmail -d %{varqmail} -u 84 -s /bin/false qmailr
%useradd -g qmail -d %{varqmail} -u 85 -s /bin/false qmails
%useradd -g nofiles -d %{varqmail} -u 86 -s /bin/false qmaill
%useradd -g nofiles -d %{varqmail} -u 87 -s /bin/false qmailp

%post
if [ ! -f /etc/mail/mailname -a -d /etc/mail ]; then
	(cd /etc/mail && ln -sf ../qmail/control/me mailname && chmod a+r mailname)
fi

umask 022
if [ ! -s /etc/qmail/control/me ]; then
	FQDN=`/bin/hostname -f`
	echo "$FQDN" > /etc/qmail/control/me
	echo "$FQDN" | /bin/sed 's/^\([^\.]*\)\.\([^\.]*\)\./\2\./' > /etc/qmail/control/defaultdomain
	echo "$FQDN" | /bin/sed 's/^.*\.\([^\.]*\)\.\([^\.]*\)$/\1.\2/' > /etc/qmail/control/plusdomain
	echo "$FQDN" >> /etc/qmail/control/locals
	echo "$FQDN" >> /etc/qmail/control/rcpthosts

	echo "Now qmail will refuse to accept SMTP messages except to $FQDN."
	echo "Make sure to change rcpthosts if you add hosts to locals or virtualdomains!"
	echo Enter user, who should receive mail for root, mailer-daemon and postmaster
	echo into /etc/qmail/alias/.qmail-\{root,mailer-daemon,postmaster\}
fi

# Set up aliases
%{_bindir}/newaliases

# queue-fix makes life easy!
%{_bindir}/queue-fix %{varqmail}/queue >/dev/null

# build .cdb if missing
for i in smtp qmtp qmqp; do
	if [ ! -e %{tcprules}/tcp.qmail-$i.cdb ]; then
		tcprules %{tcprules}/tcp.qmail-$i.cdb %{tcprules}/.tcp.qmail-$i.tmp < %{tcprules}/tcp.qmail-$i
		chown qmaild:root %{tcprules}/tcp.qmail-$i.cdb
		chmod 640 %{tcprules}/tcp.qmail-$i.cdb
	fi
done

echo "The QMTP and QMQP protocols are available, and can be started as:"
echo "ln -s %{supervise}/qmtpd %{servicedir}/qmail-qmtpd"
echo "ln -s %{supervise}/qmqpd %{servicedir}/qmail-qmqpd"
echo

# reload qmail-send on upgrade, the others are invoked anyway per connection
if [ -d %{servicedir}/qmail-send/supervise ]; then
	svc -t %{servicedir}/qmail-send %{servicedir}/qmail-send/log
fi

ln -snf %{supervise}/send %{servicedir}/qmail-send
ln -snf %{supervise}/smtpd %{servicedir}/qmail-smtpd

%if %{with tls}
# session cert
/etc/cron.hourly/qmail-genrsacert.sh

# server cert
echo "Creating a self-signed ssl-certificate:"
%{_libdir}/qmail/mkservercert || true
%endif

%triggerpostun -- %{name} < 1.03-56.12
# move dot-qmail to new location
if [ -f /etc/qmail/dot-qmail.rpmsave ]; then
	echo "Moving /etc/qmail/dot-qmail.rpmsave to /etc/qmail/control/defaultdelivery"
	mv -f /etc/qmail/control/defaultdelivery /etc/qmail/control/defaultdelivery.rpmnew
	mv -f /etc/qmail/dot-qmail.rpmsave /etc/qmail/control/defaultdelivery
fi

# move server cert to new location
if [ -f /etc/qmail/control/cert.pem.rpmsave ]; then
	echo "Moving /etc/qmail/control/cert.pem to /etc/qmail/control/servercert.pem"
	mv -f /etc/qmail/control/servercert.pem /etc/qmail/control/servercert.pem.rpmnew
	mv -f /etc/qmail/control/cert.pem.rpmsave /etc/qmail/control/servercert.pem
fi

if [ -f /var/lock/subsys/qmail ]; then
	if [ -f /var/lock/subsys/qmail ]; then
		. /etc/rc.d/init.d/functions
		msg_stopping qmail
		killproc qmail-send
		rm -f /var/lock/subsys/qmail
	fi
fi
/sbin/chkconfig --del qmail

# this should kill the old instance running on inetd
%service -q rc-inetd reload

%triggerpostun -- %{name}-pop3 < 1.03-56.12
%service -q rc-inetd reload

%postun
# If package is being erased for the last time.
if [ "$1" = "0" ]; then
	%userremove qmaild
	%userremove alias
	%userremove qmaill
	%userremove qmailp
	%userremove qmailq
	%userremove qmailr
	%userremove qmails
	%groupremove nofiles
	%groupremove qmail
fi

%preun
# If package is being erased for the last time.
if [ "$1" = "0" ]; then
	# remove form supervise
	# http://cr.yp.to/daemontools/faq/create.html#remove
	for i in send smtpd qmtpd qmqpd; do
		[ -d %{servicedir}/qmail-$i/supervise ] || continue
		cd %{servicedir}/qmail-$i
		rm %{servicedir}/qmail-$i
		svc -dx . log
	done
fi

%post pop3
# build .cdb if missing
if [ ! -e %{tcprules}/tcp.qmail-pop3.cdb ]; then
	tcprules %{tcprules}/tcp.qmail-pop3.cdb %{tcprules}/.tcp.qmail-pop3.tmp < %{tcprules}/tcp.qmail-pop3
	chown qmaild:root %{tcprules}/tcp.qmail-pop3.cdb
	chmod 640 %{tcprules}/tcp.qmail-pop3.cdb
fi

# add to supervise
ln -snf %{supervise}/pop3d %{servicedir}/qmail-pop3d

%preun pop3
# If package is being erased for the last time.
if [ "$1" = "0" ]; then
	# remove form supervise
	if [ -d %{servicedir}/qmail-pop3d/supervise ]; then
		cd %{servicedir}/qmail-pop3d
		rm %{servicedir}/qmail-pop3d
		svc -dx . log
	fi
fi

%post client
ln -sf qmail-qmqpc %{_libdir}/qmail/qmail-queue

if [ ! -f /etc/mail/mailname -a -d /etc/mail ]; then
	(cd /etc/mail && ln -sf ../qmail/control/me mailname && chmod a+r mailname)
fi

umask 022
if [ ! -s /etc/qmail/control/me ]; then
	FQDN=`/bin/hostname -f`
	echo "$FQDN" > /etc/qmail/control/me
	echo "$FQDN" > /etc/qmail/control/idhost
	echo "$FQDN" | /bin/sed 's/^\([^\.]*\)\.\([^\.]*\)\./\2\./' > /etc/qmail/control/defaultdomain
	echo "$FQDN" | /bin/sed 's/^.*\.\([^\.]*\)\.\([^\.]*\)$/\1.\2/' > /etc/qmail/control/plusdomain
fi

%files
%defattr(644,root,root,755)
%doc FAQ INSTALL* PIC* REMOVE* SENDMAIL TEST* UPGRADE INTERNALS
%doc BLURB* README SECURITY THANKS THOUGHTS TODO VERSION
%doc boot checkpass queue-fix
%doc tarpit.README
%doc qmail-doki
%if %{with tls}
%doc README.auth README.remote-auth README.starttls README.qregex
%endif

# QHPSI License requires all files to be distributed.
%doc qhpsi

%dir /etc/mail
%dir %{_sysconfdir}
%attr(2755,alias,nofiles) %dir %{_sysconfdir}/alias
%attr(755,root,qmail) %dir %{_sysconfdir}/control
%dir %{_sysconfdir}/users
%attr(755,root,qmail) %dir %{_libdir}/qmail
%attr(755,root,qmail) %dir %{varqmail}
%attr(750,qmailq,qmail) %dir %{varqmail}/queue
%attr(750,qmailq,qmail) %dir %{varqmail}/queue/lock
%attr(700,qmails,qmail) %{varqmail}/queue/bounce
%attr(700,qmails,qmail) %{varqmail}/queue/info
%attr(700,qmailq,qmail) %{varqmail}/queue/intd
%attr(700,qmails,qmail) %{varqmail}/queue/local
%attr(750,qmailq,qmail) %{varqmail}/queue/mess
%attr(700,qmailq,qmail) %{varqmail}/queue/pid
%attr(700,qmails,qmail) %{varqmail}/queue/remote
%attr(750,qmailq,qmail) %{varqmail}/queue/todo
%attr(600,qmails,qmail) %config(noreplace) %verify(not md5 mtime size) %ghost %{varqmail}/queue/lock/sendmutex
%attr(644,qmailr,qmail) %config(noreplace) %verify(not md5 mtime size) %ghost %{varqmail}/queue/lock/tcpto
%attr(622,qmails,qmail) %config(noreplace) %verify(not md5 mtime size) %ghost %{varqmail}/queue/lock/trigger
%attr(644,root,nofiles) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/alias/.qmail-*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/control/defaultdomain
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/control/locals
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/control/me
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/control/plusdomain
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/control/rcpthosts
%if %{with tls}
%ghost %{_sysconfdir}/control/rsa512.pem
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/control/servercert.cnf
%attr(640,qmaild,qmail) %ghost %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/control/servercert.pem
%ghost %{_sysconfdir}/control/clientcert.pem
%endif
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/control/defaultdelivery
%config(noreplace) %verify(not mtime) %{_sysconfdir}/control/conf-common
%config(noreplace) %verify(not mtime) %{_sysconfdir}/control/conf-qmqpd
%config(noreplace) %verify(not mtime) %{_sysconfdir}/control/conf-qmtpd
%config(noreplace) %verify(not mtime) %{_sysconfdir}/control/conf-send
%config(noreplace) %verify(not mtime) %{_sysconfdir}/control/conf-smtpd
%config(noreplace) %verify(not mtime) %{_sysconfdir}/control/conf-rblsmtpd
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/users/*
%config(noreplace) %verify(not md5 mtime size) /etc/aliases
/etc/mail/aliases
%config(noreplace) %verify(not mtime) /etc/logrotate.d/qmail
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/profile.d/*
%attr(754,root,root) /etc/rc.d/init.d/*
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/checkpass
%config(noreplace) %verify(not md5 mtime size) /etc/security/checkpass.allow
%attr(755,root,root) %{_libdir}/qmail/bouncesaying
%attr(755,root,root) %{_libdir}/qmail/condredirect
%attr(4755,root,root) %{_libdir}/qmail/checkpass
%attr(755,root,root) %{_libdir}/qmail/datemail
%attr(755,root,root) %{_libdir}/qmail/elq
%attr(755,root,root) %{_libdir}/qmail/except
%attr(755,root,root) %{_libdir}/qmail/forward
%attr(755,root,root) %{_bindir}/maildir2mbox
%attr(755,root,root) %{_bindir}/maildirwatch
%attr(755,root,root) %{_libdir}/qmail/mailsubj
%attr(755,root,root) %{_libdir}/qmail/pinq
%attr(755,root,root) %{_libdir}/qmail/predate
%attr(755,root,root) %{_libdir}/qmail/preline
%attr(755,root,root) %{_libdir}/qmail/qail
%attr(755,root,root) %{_libdir}/qmail/qbiff
%attr(755,root,root) %{_libdir}/qmail/qmail-clean
%attr(755,root,root) %{_libdir}/qmail/qmail-getpw
%attr(755,root,root) %{_libdir}/qmail/qmail-inject
%attr(755,root,root) %{_libdir}/qmail/qmail-local
%attr(755,root,root) %{_libdir}/qmail/qmail-lspawn
%attr(755,root,root) %{_libdir}/qmail/qmail-newmrh
%attr(755,root,root) %{_libdir}/qmail/qmail-newu
%attr(755,root,root) %{_libdir}/qmail/qmail-pw2u
%attr(755,root,root) %{_libdir}/qmail/qmail-qmqpc
%attr(755,root,root) %{_libdir}/qmail/qmail-qmqpd
%attr(755,root,root) %{_libdir}/qmail/qmail-qmtpd
%attr(755,root,root) %{_bindir}/qmail-qread
%attr(755,root,root) %{_bindir}/qmail-qstat
%attr(4755,qmailq,qmail) %{_libdir}/qmail/qmail-queue
%attr(755,root,root) %{_libdir}/qmail/qmail-remote
%attr(755,root,root) %{_libdir}/qmail/qmail-rspawn
%attr(755,root,root) %{_libdir}/qmail/qmail-send
%attr(755,root,root) %{_bindir}/qmail-showctl
%attr(755,root,root) %{_libdir}/qmail/qmail-smtpd
%attr(744,root,root) %{_libdir}/qmail/qmail-start
%attr(755,root,root) %{_libdir}/qmail/qmail-tcpok
%attr(755,root,root) %{_libdir}/qmail/qmail-tcpto
%attr(755,root,root) %{_libdir}/qmail/qreceipt
%attr(755,root,root) %{_libdir}/qmail/qsmhook
%attr(755,root,root) %{_bindir}/queue-fix
%attr(755,root,root) %{_libdir}/qmail/sendmail
%attr(755,root,root) %{_libdir}/qmail/splogger
%attr(755,root,root) %{_libdir}/qmail/tcp-env
%attr(755,root,root) %{_libdir}/qmail/dot-forward
%attr(755,root,root) %{_libdir}/qmail/fastforward
%attr(755,root,root) %{_bindir}/newaliases
%attr(755,root,root) %{_libdir}/qmail/newinclude
%attr(755,root,root) %{_libdir}/qmail/printforward
%attr(755,root,root) %{_libdir}/qmail/printmaillist
%attr(755,root,root) %{_libdir}/qmail/setforward
%attr(755,root,root) %{_libdir}/qmail/setmaillist
%if %{with dkeys}
%attr(755,root,root) %{_libdir}/qmail/qmail-dk
%dir %attr(751,qmaild,root) %{_sysconfdir}/control/domainkeys
%endif
%attr(755,root,root) %{varqmail}/rc

%attr(755,root,root) %{_libdir}/qmail/config-sanity-check
%attr(755,root,root) %{_libdir}/qmail/qmail-config-system

%if %{with tls}
%attr(755,root,root) %{_libdir}/qmail/mkservercert
%attr(755,root,root) /etc/cron.hourly/qmail-genrsacert.sh
%dir %{_sysconfdir}/control/tlshosts
%endif

%{tcprules}/Makefile.qmail
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{tcprules}/tcp.qmail-smtp
%attr(640,qmaild,root) %config(noreplace) %verify(not md5 mtime size) %ghost %{tcprules}/tcp.qmail-smtp.cdb
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{tcprules}/tcp.qmail-qmtp
%attr(640,qmaild,root) %config(noreplace) %verify(not md5 mtime size) %ghost %{tcprules}/tcp.qmail-qmtp.cdb
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{tcprules}/tcp.qmail-qmqp
%attr(640,qmaild,root) %config(noreplace) %verify(not md5 mtime size) %ghost %{tcprules}/tcp.qmail-qmqp.cdb

%attr(755,qmaill,root) %dir /var/log/qmail
%attr(750,root,root) %dir /var/log/archive/qmail
%dir %{supervise}

%attr(1755,root,root) %dir %{supervise}/smtpd
%attr(755,root,root) %{supervise}/smtpd/run
%attr(700,root,root) %dir %{supervise}/smtpd/supervise

%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %ghost %{supervise}/smtpd/supervise/*
%attr(1755,root,root) %dir %{supervise}/smtpd/log
%attr(755,root,root) %{supervise}/smtpd/log/run
%attr(700,root,root) %dir %{supervise}/smtpd/log/supervise
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %ghost %{supervise}/smtpd/log/supervise/*
%attr(755,qmaill,root) %dir /var/log/qmail/smtpd
%attr(750,root,root) %dir /var/log/archive/qmail/smtpd
%attr(755,qmaill,root) %dir /var/log/qmail/rblsmtpd
%attr(750,root,root) %dir /var/log/archive/qmail/rblsmtpd

%attr(1755,root,root) %dir %{supervise}/send
%attr(755,root,root) %{supervise}/send/run
%attr(700,root,root) %dir %{supervise}/send/supervise
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %ghost %{supervise}/send/supervise/*
%attr(1755,root,root) %dir %{supervise}/send/log
%attr(755,root,root) %{supervise}/send/log/run
%attr(700,root,root) %dir %{supervise}/send/log/supervise
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %ghost %{supervise}/send/log/supervise/*
%attr(755,qmaill,root) %dir /var/log/qmail/send
%attr(750,root,root) %dir /var/log/archive/qmail/send

%attr(1755,root,root) %dir %{supervise}/qmtpd
%attr(755,root,root) %{supervise}/qmtpd/run
%attr(700,root,root) %dir %{supervise}/qmtpd/supervise
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %ghost %{supervise}/qmtpd/supervise/*
%attr(1755,root,root) %dir %{supervise}/qmtpd/log
%attr(755,root,root) %{supervise}/qmtpd/log/run
%attr(700,root,root) %dir %{supervise}/qmtpd/log/supervise
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %ghost %{supervise}/qmtpd/log/supervise/*
%attr(755,qmaill,root) %dir /var/log/qmail/qmtpd
%attr(750,root,root) %dir /var/log/archive/qmail/qmtpd

%attr(1755,root,root) %dir %{supervise}/qmqpd
%attr(755,root,root) %{supervise}/qmqpd/run
%attr(700,root,root) %dir %{supervise}/qmqpd/supervise
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %ghost %{supervise}/qmqpd/supervise/*
%attr(1755,root,root) %dir %{supervise}/qmqpd/log
%attr(755,root,root) %{supervise}/qmqpd/log/run
%attr(700,root,root) %dir %{supervise}/qmqpd/log/supervise
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %ghost %{supervise}/qmqpd/log/supervise/*
%attr(755,qmaill,root) %dir /var/log/qmail/qmqpd
%attr(750,root,root) %dir /var/log/archive/qmail/qmqpd

%attr(755,root,root) %{_bindir}/mailq
%attr(755,root,root) %{_sbindir}/sendmail
%attr(755,root,root) %{_prefix}/lib/sendmail
%attr(2755,alias,qmail) %{varqmail}/alias
%attr(755,root,root) %{varqmail}/bin
%attr(755,root,root) %{varqmail}/control
%attr(755,root,root) %{varqmail}/users
%{_mandir}/man1/[!m]*
%{_mandir}/man1/maildir2mbox*
%{_mandir}/man1/maildirwatch*
%{_mandir}/man1/mailsubj*
%{_mandir}/man[357]/*
%{_mandir}/man8/[!q]*
%{_mandir}/man8/qmail-[!p]*
%{_mandir}/man8/qmail-p[!o]*
%lang(pl) %{_mandir}/pl/man1/[!m]*
%lang(pl) %{_mandir}/pl/man1/maildir2mbox*
%lang(pl) %{_mandir}/pl/man1/maildirwatch*
%lang(pl) %{_mandir}/pl/man1/mailsubj*
%lang(pl) %{_mandir}/pl/man[357]/*
%lang(pl) %{_mandir}/pl/man8/[!q]*
%lang(pl) %{_mandir}/pl/man8/qmail-[!p]*
%lang(pl) %{_mandir}/pl/man8/qmail-p[!o]*

# default folder - Maildir/
%attr(700,root,root) %dir /etc/skel/Mail
%attr(700,root,root) %dir /etc/skel/Mail/Maildir
%attr(700,root,root) %dir /etc/skel/Mail/Maildir/cur
%attr(700,root,root) %dir /etc/skel/Mail/Maildir/new
%attr(700,root,root) %dir /etc/skel/Mail/Maildir/tmp

%files client
%defattr(644,root,root,755)
%doc {FAQ,INSTALL*,PIC*,REMOVE*,SENDMAIL,TEST*,UPGRADE}
%doc {BLURB*,README,SECURITY,THANKS,THOUGHTS,TODO,VERSION}
%doc qmail-client.html

%dir /etc/mail
%dir %{_sysconfdir}
%dir %{_sysconfdir}/control
%dir %{_libdir}/qmail
%dir %{varqmail}
%attr(755,root,root) %{varqmail}/bin
%attr(755,root,root) %{varqmail}/control
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/control/defaultdomain
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/control/me
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/control/plusdomain
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/control/idhost
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/control/qmqpservers
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/profile.d/*
%attr(755,root,root) %{_libdir}/qmail/datemail
%attr(755,root,root) %{_libdir}/qmail/elq
%attr(755,root,root) %{_libdir}/qmail/forward
%attr(755,root,root) %{_bindir}/maildir2mbox
%attr(755,root,root) %{_bindir}/maildirwatch
%attr(755,root,root) %{_libdir}/qmail/mailsubj
%attr(755,root,root) %{_libdir}/qmail/pinq
%attr(755,root,root) %{_libdir}/qmail/predate
%attr(755,root,root) %{_libdir}/qmail/qail
%attr(755,root,root) %{_libdir}/qmail/qmail-inject
%attr(755,root,root) %{_libdir}/qmail/qmail-qmqpc
%attr(755,root,root) %ghost %{_libdir}/qmail/qmail-queue
%attr(755,root,root) %{_bindir}/qmail-showctl
%attr(755,root,root) %{_libdir}/qmail/sendmail
%attr(755,root,root) %{_sbindir}/sendmail
%attr(755,root,root) %{_prefix}/lib/sendmail
%{_mandir}/man1/maildir2mbox*
%{_mandir}/man1/maildirwatch*
%{_mandir}/man1/mailsubj*
%{_mandir}/man5/qmail-header*
%{_mandir}/man5/qmail-log*
%{_mandir}/man8/qmail-inject*
%{_mandir}/man8/qmail-qmqpc*
%{_mandir}/man8/qmail-queue*
%{_mandir}/man8/qmail-showctl*
%lang(pl) %{_mandir}/pl/man1/maildir2mbox*
%lang(pl) %{_mandir}/pl/man1/maildirwatch*
%lang(pl) %{_mandir}/pl/man1/mailsubj*
%lang(pl) %{_mandir}/pl/man8/qmail-inject*
%lang(pl) %{_mandir}/pl/man8/qmail-qmqpc*
%lang(pl) %{_mandir}/pl/man8/qmail-queue*

# default folder - Maildir/
%attr(700,root,root) %dir /etc/skel/Mail
%attr(700,root,root) %dir /etc/skel/Mail/Maildir
%attr(700,root,root) %dir /etc/skel/Mail/Maildir/cur
%attr(700,root,root) %dir /etc/skel/Mail/Maildir/new
%attr(700,root,root) %dir /etc/skel/Mail/Maildir/tmp

%files maildirmake
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/maildirmake
%{_mandir}/man1/maildirmake*
%lang(pl) %{_mandir}/pl/man1/maildirmake*

%files perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qmail-qsanity
%attr(755,root,root) %{_libdir}/qmail/qmail-lint

%files pop3
%defattr(644,root,root,755)
%{tcprules}/Makefile.qmail-pop3
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{tcprules}/tcp.qmail-pop3
%attr(640,qmaild,root) %config(noreplace) %verify(not md5 mtime size) %ghost %{tcprules}/tcp.qmail-pop3.cdb
%config(noreplace) %verify(not mtime) %{_sysconfdir}/control/conf-pop3d
%config(noreplace) %verify(not mtime) /etc/logrotate.d/qmail-pop3

%attr(1755,root,root) %dir %{supervise}/pop3d
%attr(755,root,root) %{supervise}/pop3d/run
%attr(700,root,root) %dir %{supervise}/pop3d/supervise
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %ghost %{supervise}/pop3d/supervise/*
%attr(1755,root,root) %dir %{supervise}/pop3d/log
%attr(755,root,root) %{supervise}/pop3d/log/run
%attr(700,root,root) %dir %{supervise}/pop3d/log/supervise
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %ghost %{supervise}/pop3d/log/supervise/*
%attr(755,qmaill,root) %dir /var/log/qmail/pop3d
%attr(750,root,root) %dir /var/log/archive/qmail/pop3d

%attr(755,root,root) %{_libdir}/qmail/qmail-pop3d
%attr(755,root,root) %{_libdir}/qmail/qmail-popup
%{_mandir}/man8/qmail-po*
%lang(pl) %{_mandir}/pl/man8/qmail-po*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qmail.spec,v $
Revision 1.176  2008-02-06 21:05:41  glen
- never use '<=' in trigger comparision; rel 63

Revision 1.175  2007-12-01 16:15:31  qboosh
- /var/qmail -> /var/lib/qmail
- prepared to sanitize /service

Revision 1.174  2007-11-30 19:22:27  adamg
- it's public domain from now on

Revision 1.173  2007/09/11 12:30:07  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.172  2007/09/11 11:43:37  gotar
- more specific R: logrotate >= 3.7.4 due to archiv -> archive transition;
  is it really required? other packages don't have this R: at all

Revision 1.171  2007/08/06 10:07:04  patrys
- drop mutual obsoletes
- rel up

Revision 1.170  2007/05/15 13:49:41  glen
- ipv6 is disabled by default

Revision 1.169  2007/05/15 13:14:18  zytek
- smee again
- typos in desc

Revision 1.168  2007/04/02 17:29:46  baggins
- more s|/var/log/archiv|/var/log/archive|g

Revision 1.167  2007/04/02 16:55:17  baggins
- s|/var/log/archiv|/var/log/archive|g

Revision 1.166  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.165  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.164  2006/12/22 01:36:10  glen
- updated initscript to use functions
- adapterized; rel 61

Revision 1.163  2006/12/22 01:23:25  glen
- add qmail-hold.patch to SOURCES

Revision 1.162  2006/11/09 20:57:28  glen
- strict internal deps

Revision 1.161  2006/10/31 15:46:44  glen
- removed bl.kropka.net from conf-rblsmtd (updated qmail-conf tarball); rel 60

Revision 1.160  2006/10/31 14:29:52  sparky
- removed dead URLs from patches

Revision 1.159  2006/07/26 15:50:56  glen
- remove extra unneeded slash

Revision 1.158  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.157  2006/04/16 18:38:09  glen
- %useradd/%groupadd

Revision 1.156  2006/04/11 13:40:38  glen
- add badrcpto patch

Revision 1.155  2006/04/11 07:06:29  glen
- updated conf-rblsmtpd (removed outdated/bad blacklists), rel 59.4

Revision 1.154  2006/04/10 09:39:28  glen
- add INTERNALS to %doc

Revision 1.153  2006/03/16 14:24:58  glen
- updated conf-rbsmtpd

Revision 1.152  2006/03/14 01:05:04  glen
- use %service, adapterize

Revision 1.151  2006/03/13 15:50:34  glen
- fixed qmail initscript, adapterized

Revision 1.150  2006/03/13 14:49:51  glen
- QMTP and QMQP aren't really "supported"

Revision 1.149  2006/03/13 14:37:32  glen
- rel 59

Revision 1.148  2006/01/27 18:38:41  glen
- updated initscript to wait for qmail-send to terminate (needed for qmHandle to restart qmail-send properly)

Revision 1.147  2006/01/15 17:22:35  glen
- link sync patch dropped. see http://bugs.gentoo.org/show_bug.cgi?id=56124

Revision 1.146  2005/12/13 15:59:58  glen
- adapterized (sorted %verify attrs)

Revision 1.145  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.144  2005/08/10 12:16:31  saq
- rm unnecessary file

Revision 1.143  2005/07/13 09:13:45  glen
- R: logrotate/bzip2 for logrotation

Revision 1.142  2005/07/13 08:03:52  glen
- merge two triggers

Revision 1.141  2005/07/13 07:58:25  glen
- rel 58

Revision 1.140  2005/06/25 18:06:28  glen
- simplify %{_sysconfdir} macro
- update %description

Revision 1.139  2005/06/25 17:58:06  glen
- set domainkeys dir to /etc/qmail/control/domainkeys
- fix illegal usage of %{_sysconfdir} macro

Revision 1.138  2005/06/25 17:52:00  glen
- fix dkeys shared patch

Revision 1.137  2005/06/25 16:05:08  glen
- add qmail-dk manual

Revision 1.136  2005/06/25 15:38:05  glen
- domainkeys support

Revision 1.135  2005/06/15 17:35:17  glen
- fix partial tls bcond usage

Revision 1.134  2005/06/14 09:59:30  glen
- amd64 fixes

Revision 1.133  2005/06/07 11:57:36  glen
- rel 57

Revision 1.132  2005/05/30 18:07:45  glen
- merge from DEVEL

Revision 1.131.2.38  2005/05/30 17:08:42  glen
- rel 56.92

Revision 1.131.2.37  2005/02/25 14:27:36  glen
- adapterized

Revision 1.131.2.36  2005/02/25 14:25:12  glen
- R: crondaemon

Revision 1.131.2.35  2005/02/25 14:24:24  glen
- %description width 70 chars
- update qmail-genrsacert cron to use mktemp

Revision 1.131.2.34  2005/02/01 21:38:27  glen
- tcprules build is depended on updated daemontools

Revision 1.131.2.33  2005/01/29 01:17:39  glen
- write QHPSI version with dots; cosmetics

Revision 1.131.2.32  2005/01/25 21:29:14  glen
- setup -lhome_etc if built with home_etc support

Revision 1.131.2.31  2005/01/25 21:22:36  glen
- reentrant %install

Revision 1.131.2.30  2005/01/25 21:06:19  glen
- fix last change

Revision 1.131.2.29  2005/01/25 21:04:53  glen
- create .cdb files if they're missing (in case of first install)
- updated qmail-conf to 20050125

Revision 1.131.2.28  2005/01/10 09:31:36  glen
- default alias postmaster,mailerdaemon => root

Revision 1.131.2.27  2005/01/03 17:39:37  glen
- update qmail-conf to 20050103.1
- rblsmtpd servers in separate config

Revision 1.131.2.26  2004/12/31 00:20:16  glen
- fix %changelog

Revision 1.131.2.25  2004/12/31 00:19:29  glen
- %ghost .cdb files
- qmail-conf updated to 20041223
- pop3 logrotate in -pop3 subpackage

Revision 1.131.2.24  2004/12/22 23:10:19  glen
- added logrotate of old logs
- supervise and qmail socket %ghosted, so rpm won't touch the file
  when upgrading. the inode is really important on the sockets

Revision 1.131.2.23  2004/12/22 20:56:18  glen
- simplify: use %{supervise} macro in paths

Revision 1.131.2.22  2004/12/22 20:13:03  glen
- package supervise controldir

Revision 1.131.2.21  2004/12/22 19:23:23  glen
- %verify not size of lock/tcpto

Revision 1.131.2.20  2004/12/22 18:39:12  glen
- do not chmod files in control, not all of them should be 644 mask.
  and umask should ensure new files being created with proper
  permission
- move conf-pop3 to pop3 subpackage
- control/conf-* files are now stored as .rpmnew in case of updates
- updated qmail-conf to 20041222

Revision 1.131.2.19  2004/12/22 17:02:05  glen
- qmail-conf updated to 20041216.1

Revision 1.131.2.18  2004/12/10 19:08:27  glen
- update QHPSI: HISTORY.qhpsi: Fixed a bug not cleaning ./mess/XX/inodenr.

Revision 1.131.2.17  2004/12/06 16:12:48  glen
- put rblsmtpd logs separately from smtpd logs

Revision 1.131.2.16  2004/12/06 12:08:53  glen
- removed outdated rblsmtpd from qmail package. it is available from ucspi-tcp

Revision 1.131.2.15  2004/12/05 23:45:20  glen
- remove from Source listing too

Revision 1.131.2.14  2004/12/05 23:43:58  glen
- removed rblsmtpd.sh and smtp-scanner.sh scripts (obsolete)

Revision 1.131.2.13  2004/12/02 13:17:46  glen
- pop3d config fixed (wrong path to checkpass)

Revision 1.131.2.12  2004/11/28 21:23:32  glen
- add QHPSI - The Qmail High Performance Scanner Interface

Revision 1.131.2.11  2004/11/28 20:23:08  qboosh
- restored real Source0-md5

Revision 1.131.2.10  2004/11/28 20:14:51  glen
- fix strange usage of tarpit.README

Revision 1.131.2.9  2004/11/28 16:12:10  glen
- renumber sources

Revision 1.131.2.8  2004/11/28 15:52:41  glen
- package TLS readme's

Revision 1.131.2.7  2004/11/28 15:48:32  ankry
- cosmetics

Revision 1.131.2.6  2004/11/28 14:16:43  glen
- likewise, but from supervise dirs

Revision 1.131.2.5  2004/11/28 13:58:58  glen
- remove qmail prefix from log dirs

Revision 1.131.2.4  2004/11/28 12:28:05  glen
- triggers upgrading from 1.03-56.12 fixed

Revision 1.131.2.3  2004/11/28 02:30:39  glen
- ghost control/clientcert.pem
- R: openssl-tools
- updated qmail-conf

Revision 1.131.2.2  2004/11/28 00:50:55  glen
- md5

Revision 1.131.2.1  2004/11/28 00:13:37  glen
- this spec contains large different patches
- most important of them is probably updated tls patch which won't crash under
  glibc 2.3 when smtproutes contained literal ip address ([a.b.c.d])
- also the inetd agent is daemontools, as it's recommended by qmail author and
  second it's the only one known to me that can set env vars depending on
  source connection, as qmail utilizes this a lot, it is needed for me.
- really it's too much to describe, see yourself the diffs ;)

Revision 1.50  2004/11/27 23:52:41  glen
- add source50-md5

Revision 1.49  2004/11/27 20:26:00  glen
- move supervise files to /etc/qmail

Revision 1.48  2004/11/27 20:02:45  glen
- fix supervise restarts on upgrades

Revision 1.47  2004/11/27 19:16:21  glen
- ghost rsa512.pem

Revision 1.46  2004/11/27 17:49:56  glen
- dot-qmail removed from package

Revision 1.45  2004/11/27 17:23:48  glen
- add proper supervise start/stop and removal
- start qmail-send and qmail-smtpd by default
- remove chkconfig completely

Revision 1.44  2004/11/27 14:34:10  glen
- add more usability patches
- maildir-uniq, ipalias, liberal-lf

Revision 1.43  2004/11/27 14:15:53  glen
- put manual pages from qmail-doki to mandir

Revision 1.42  2004/11/27 01:56:18  glen
- changes from PLD:
  - %userremove/%groupremove
  - unification on useradd/groupadd
  - qmail-doki added
  - spelling fixes
- remove BR that already there by rpm-build

Revision 1.41  2004/11/27 01:34:44  glen
- trigger to move cert.pem to new location

Revision 1.40  2004/11/27 01:21:35  glen
- defaultdelivery trigger fix

Revision 1.39  2004/11/27 01:20:22  glen
- removed logrotate, handled by supervise

Revision 1.38  2004/11/27 01:15:12  glen
- trigger to move /etc/qmail/dot-qmail.rpmsave to /etc/qmail/control/defaultdelivery

Revision 1.37  2004/11/27 00:51:00  glen
- qmail-control as init.d script
- rel 56.15

Revision 1.36  2004/11/26 23:33:38  glen
- remove qmHandle from package. available separately
- rel 56.14

Revision 1.35  2004/11/26 22:45:26  glen
- qmail-conf got new name
- update comment

Revision 1.34  2004/11/26 20:31:46  glen
- remove xinetd support

Revision 1.33  2004/11/26 19:47:54  glen
- fix changelog

Revision 1.32  2004/11/26 19:47:25  glen
- package qmail-send supervise scripts
- proper permissions of tcprules .cdb files
- fix path for rc (qmail-send supervise script)
- remove gentoo-compat need
- temp out patch 104 (does not apply)
- rel 56.12

Revision 1.31  2004/10/17 16:24:17  glen
- initial supervise support
- moved qmail-showctl to bindir
- bcond tls files

Revision 1.30  2004/10/17 10:04:53  glen
- adapterized

Revision 1.29  2004/10/17 10:01:50  glen
- source20-md5
- add pld provides group/user

Revision 1.28  2004/10/17 09:57:20  glen
- fix bcond descriptions

Revision 1.27  2004/10/17 09:44:20  glen
- use original urls for patches

Revision 1.26  2004/10/17 03:03:00  glen
- apply patches from gentoo
- no routing patch on by default

Revision 1.25  2004/09/25 14:40:56  glen
- qmail-scanner frontend is now suid binary. rebuild

Revision 1.24  2004/09/13 17:48:48  glen
- erm, fixed logrotate conf mungle

Revision 1.23  2004/06/23 09:44:00  glen
- remove maillog rotation provided by distro (we provide one ourselves)

Revision 1.22  2004/06/20 13:33:55  glen
- add logrotate for mail log

Revision 1.21  2004/06/15 22:23:07  glen
- looks like we BR on gcc

Revision 1.20  2004/05/02 17:33:26  glen
- cleanup spec
- added todo
- rel 56.1

Revision 1.19  2004/05/02 17:15:23  glen
- lower pam version requirement to 0.75 (rh7.3)

Revision 1.18  2004/05/02 17:05:35  glen
- updated tls patch from gentoo: qregex-starttls-2way-auth.patch
- obsoleted pld tls patch
- added link(), 0.0.0.0, local timestamp, trim bounce, reread concurrency, nullenvsender-recipcount patches from gentoo
- fix doubleslash symlinks in /usr/{lib,sbin}/sendmail
- control/cert.pem renamed as control/servercert.pem for new tls patch
- identify patches with -b switch

Revision 1.17  2004/05/01 23:18:58  glen
- update from pld
- use new-style bconds
- add obsoletes courier
- remove rblsmtpd-glibc2.3.patch obsoleted by ac_rblsmtpd.patch
- add source-md5s
- update License
- rel 56

Revision 1.16  2004/04/06 15:25:55  glen
- obsoletes ssmtp and nullmailer (from PLD)

Revision 1.15  2004/04/06 15:24:09  glen
- add my suplementary scripts (rblsmtpd.sh, qmail-smtpd.sh) to package

Revision 1.14  2004/01/30 10:39:42  glen
- rm -rf to /var/qmail/doc directory

Revision 1.13  2004/01/30 10:34:00  glen
- remove doc from /var/qmail/doc
- add fix for mfcheck triplebounce
- add some man7 entries

Revision 1.12  2003/11/14 22:09:50  glen
- add openssl-devel

Revision 1.11  2003/09/24 12:40:05  glen
- add patch to resolve name conflict with glibc2.3

Revision 1.10  2003/09/16 10:36:14  glen
- invert msglog behaviour _without_msglog -> _with_msglog
- new patches
  - enforce dot in HELO (for trapping viruses)
  - remove BIND4 workaround (less dns traffic)
  - make sendmail emulation -f flag work

Revision 1.9  2003/09/15 14:01:22  glen
- add patches:
  - discards doublebounces without queuing them
  - the envelope sender is a valid DNS name

Revision 1.8  2003/04/13 20:12:41  glen
- remove ./etc/qmail support

Revision 1.7  2003/03/31 16:15:24  glen
- update to PLD rev 1.116:
  - added patch to include errno.h when errno is used
  - BR: groff
  - umask in scripts, other fixes/cosmetics where needed
  - fix URL fastforward

Revision 1.6  2003/03/05 10:58:44  glen
- no duplicate slashes in symlinks

Revision 1.5  2003/03/04 22:29:24  glen
- more redhatify; support xinetd

Revision 1.4  2003/02/05 00:41:16  glen
- one more rh fix

Revision 1.3  2003/02/05 00:19:22  glen
- few rh fixes
  useradd -M, not to create home directories of qmail users
  getgid() function

Revision 1.2  2003/02/04 23:48:05  glen
- update from pld

Revision 1.1  2002/09/03 01:00:53  glen
- added to cvs

Revision 1.131  2004/10/24 22:49:23  paladine
- QT->Qt
- spelling fixes

Revision 1.130  2004/09/16 00:06:54  ankry
- %userremove/%groupremove support
- unification

Revision 1.129  2004/04/25 18:39:50  adamg
- added 1.03.errno.patch, 1.03.qmail_local.patch and ac_rblsmtpd.patch
  (update from Michal Koziorowski <michallo (at) cki.pl>)

Revision 1.128  2004/03/19 23:46:35  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.127  2004/02/25 21:38:53  blues
- obsoletes ssmtp and nullmailer

Revision 1.126  2004/02/24 21:07:51  blues
- obsoletes courier

Revision 1.125  2004/02/16 00:03:05  eothane
- bcond style, changelog cleanups

Revision 1.124  2003/12/17 23:11:05  qboosh
- updated some URLs

Revision 1.123  2003/12/16 11:14:21  siefca
- libhome_etc compliance
- bconds added
- release 56

Revision 1.122  2003/09/26 14:24:21  baggins
- release 55

Revision 1.121  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.120  2003/08/18 08:09:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.119  2003/07/20 19:17:42  hunter
- added pl-docs
- BR: openssl-devel

Revision 1.118  2003/05/28 13:01:31  malekith
- massive attack: source-md5

Revision 1.117  2003/05/25 06:26:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.116  2003/03/19 16:58:30  wrobell
- added patch to include errno.h when errno is used
- rel. 54

Revision 1.115  2003/03/16 00:25:00  ankry
- BR: groff

Revision 1.114  2003/02/11 09:50:00  qboosh
- build fix

Revision 1.113  2003/02/09 21:28:56  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.112  2002/12/07 23:49:19  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.111  2002/11/30 23:00:26  juandon
- new %doc

Revision 1.110  2002/07/20 21:32:02  baseciq
- cosmetics... :(

Revision 1.109  2002/07/20 14:13:42  areq
- fix URL fastforward

Revision 1.108  2002/04/04 16:52:02  serek
- reverting last changes, i will start my own qmail.spec file.

Revision 1.107  2002/03/24 16:22:57  serek
- think what happens when you move /var into /newdisk/var and symlink
  /newdisk/var to /var...

Revision 1.106  2002/03/24 10:42:06  marcus
- mklinux != ppc - this patch is obsolete in PLD on PowerPC arch
- rel.53.

Revision 1.105  2002/03/16 23:23:56  kloczek
- best/simplest way making something is making this straight .. so now mbox(5)
  man page is now removed by remove file.

Revision 1.104  2002/03/15 20:28:49  juandon
- mbox.5 removed from files to avoid conflict with man-pages
- Release 52

Revision 1.103  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.102  2002/02/18 12:47:42  gotar
- requires corrections,
- touch replaced with >,
- cosmetics on *ungrepable* spacing,
- release 51.

Revision 1.101  2002/02/13 19:50:15  qboosh
- added standard Prereqs for id/getgid/{user,group}{add,del}; release 50

Revision 1.100  2002/02/06 20:27:32  kloczek
- adapterized.

Revision 1.99  2002/02/06 19:22:22  wojrus
- rel 49

Revision 1.98  2002/02/06 16:28:57  wojrus
- s/checkpass-1.1/checkpass-1.2/g

Revision 1.97  2002/01/18 02:14:45  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.96  2001/12/30 23:47:22  mkochano
- Added missing %changelog entry for revision 1.94. It's convinient to
  have complete changelog...

Revision 1.95  2001/12/30 19:04:54  baggins
- reverted last changes

Revision 1.94  2001/12/20 00:50:51  juandon
- changed Conflicts: qmail-client into Prereq: qmail-client
  Only two files except docs were only in qmail-client:
  /etc/qmail/control/idhost
  /etc/qmail/control/qmqpservers
- commented all common files
- special treatment of /usr/lib/qmail/qmail-queue

Revision 1.93  2001/12/06 14:36:04  juandon
- rel 48
- s/man8\/pl/pl\/man8/g

Revision 1.92  2001/12/04 10:43:33  kloczek
- release 47.

Revision 1.91  2001/11/26 15:06:41  ankry
- added pl man pages (qmail & qmail-client)

Revision 1.90  2001/11/23 13:05:50  qboosh
- removed dummy Copyright from -client; Obsoletes: omta,masqmail

Revision 1.89  2001/11/10 19:08:50  speedy
- some changes in License field [s/LIcense/License/ or s/Distributable/distributable]

Revision 1.88  2001/11/06 17:20:30  bonkey
- release: 46
- change conflicts: maildrop to courier-imap-maildirmake
  in qmail-maildirmake pkg

Revision 1.87  2001/09/24 15:48:28  zagrodzki
- added example cert.pem
- rel. 45

Revision 1.86  2001/08/21 18:35:50  kloczek
- fixed macros in %description.

Revision 1.85  2001/08/21 17:52:35  kloczek
- spec adapterized and few cosmetics.

Revision 1.84  2001/08/21 13:34:50  zagrodzki
- rel. 44
- added qmail-queue.patch

Revision 1.83  2001/08/10 12:38:22  kloczek
- release 43.

Revision 1.82  2001/08/09 12:56:48  areq
- update:
  - queue-fix-1.4
  - qmHandle-0.5.1

Revision 1.81  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.80  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.78  2001/07/19 11:32:13  jajcus
- Release: 42
- Updated qmail-smtpauth.patch: qmail-smtpd updates documented in manual and
  SMTP AUTH support can be disabled now.

Revision 1.77  2001/05/28 14:15:29  baggins
- finished TLS support

Revision 1.76  2001/05/28 13:12:41  baggins
- release 41
- added tls patch

Revision 1.75  2001/05/22 09:06:51  wiget
- switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_)
  no release changes only simple s/// perfored

Revision 1.74  2001/05/19 02:10:04  zagrodzki
- s/checkpass-1.0/checkpass-1.1/g

Revision 1.73  2001/05/19 01:38:29  zagrodzki
- updated checkpass

Revision 1.72  2001/05/17 22:24:28  zagrodzki
- release 39
- fixed qmail restart in %post

Revision 1.71  2001/05/17 22:16:43  zagrodzki
- _without_msglog

Revision 1.70  2001/05/02 16:29:12  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.69  2001/04/19 16:05:12  jajcus
- Release: 38
- patched for use with external bouncers (this is run-time option)

Revision 1.68  2001/03/26 14:14:20  baggins
- release 37
- added glibc2.2 and qpqpc-received patches

Revision 1.67  2001/02/15 11:21:36  marcus
- POP3 daemon in separate subpackage
- release 36

Revision 1.66  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.65  2001/01/09 19:29:13  zagrodzki
- release 35
- added no_mail_routing.patch (optionally) - prevents accepting messages
  when RCPT address contains '%' or '!'.

Revision 1.64  2000/12/29 17:58:19  marcus
- fixed documentation ownership in maildrop and perl subpackages
  (missing %defattr before use %doc macro)
- release 34

Revision 1.63  2000/12/28 15:08:48  baggins
- release 33
- added perl package

Revision 1.62  2000/12/19 19:09:15  marcus
- maildirmake moved to subpackage to avoid conflict with maildrop package
- release 32

Revision 1.61  2000/12/14 12:57:04  jajcus
- no more localized /etc/skel

Revision 1.60  2000/12/12 19:32:11  baggins
- release 31
- fixed permisiions on aliases

Revision 1.59  2000/11/09 11:20:15  kloczek
- release 3: added sendmail-cf and sendmail-doc to Obsoletes.

Revision 1.58  2000/10/10 21:39:05  kloczek
- adapterized.

Revision 1.57  2000/10/10 12:08:26  baggins
- release 29
- new IPv6 patch

Revision 1.56  2000/09/20 15:56:04  zagrodzki
- release 28
- modified checkpasswd.pam

Revision 1.55  2000/09/12 15:44:04  kloczek
- release 27,
- spec adapterized.

Revision 1.54  2000/09/12 14:42:28  siefca
- added Provides: pop3daemon

Revision 1.53  2000/08/31 21:51:55  baggins
- release 26
- added RSS patch

Revision 1.52  2000/08/31 18:56:15  zagrodzki
- release 24
- fixed qmail-smtp (DAEMON=tcpenv, (c) baggins
- setuid checkpass by default (should make no harm...)

Revision 1.51  2000/08/31 18:42:22  zagrodzki
- exchanged checkpasswd-0.76 with my own checkpass-1.0 (needs to be setuid
  - this one drops setuid priviledges before authentication and before
  running any external program)

Revision 1.50  2000/08/23 06:23:20  bszx
- post(un)install scripts use /etc/rc.d/init.d/rc-inetd reload now

Revision 1.49  2000/08/15 15:08:42  baggins
- release 23
- added client package

Revision 1.48  2000/08/05 21:35:06  baggins
- release 22
- added wildmat patch (adds badmailpatterns control file)

Revision 1.47  2000/08/02 18:01:19  mis
- back to useradd without -m (this copies /etc/skel)

Revision 1.46  2000/07/31 12:24:24  kloczek
- spec adapterized.

Revision 1.45  2000/07/31 12:03:39  mis
- added -m to useradd to allow it create $HOME for added user(s)

Revision 1.44  2000/07/19 16:05:25  mkochano
- Added Obsoletes: exim.

Revision 1.43  2000/06/30 20:37:56  zagrodzki
- release 21
- prereq: sh-utils

Revision 1.42  2000/06/09 07:23:52  kloczek
- added using %{__make} macro.

Revision 1.41  2000/05/15 02:06:38  kloczek
- spec adapterized.

Revision 1.40  2000/04/26 14:48:14  zagrodzki
- buildrequires: pam-devel
- release++

Revision 1.39  2000/04/26 14:15:07  zagrodzki
- unnecessary -M at useradd (didn't work)

Revision 1.38  2000/04/18 06:23:04  waszi
- /etc/skel/Mail -> /etc/skel/C/Mail

Revision 1.37  2000/04/17 17:53:01  baggins
- SMTP AUTH patch (AUTH=LOGIN)
- PAM support for checkpassword pacht
- qpop-inetd config
- checkpassword pam config
- cosmetics
- release 19

Revision 1.36  2000/04/01 20:30:05  kloczek
- release 18,
- new initscript rc-script 0.2.0 compliant,
- fix: 4755 on qmail-queue.

Revision 1.35  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.34  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.33  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.32  2000/03/21 16:50:29  misiek
- fixed patch names

Revision 1.31  2000/03/13 14:14:28  alchemyx
- 'pld' from Release: removed :-)

Revision 1.30  2000/03/13 10:41:58  smyda
- restore root group for binary files

Revision 1.29  2000/03/08 09:13:54  smyda
- change group files to qmail
- new method adding users and groups (with getgid)

Revision 1.28  2000/03/07 18:12:45  baggins
- added patch to rblsmtpd to syslog

Revision 1.27  2000/01/12 20:55:27  kloczek
- added sendmail, postfix, zmailer nad smail to Obsoletes,
- slightly changed table in %description.

Revision 1.26  1999/12/18 01:40:36  kloczek
- fix: restart rc-inetd only on upgrade instead stopping rc-inetd
  in %postun,
- fix: in %preun before stopping qmail added checking if exist
  /var/lock/subsys/qmail or not,
- changed permission on some executables s/711/755/ s/751/755/,
- removed qmail group from binaries with 755 permission,
- removed o-x on suid binaries.

Revision 1.25  1999/12/15 20:38:45  baggins
- release 15
- added IPv6 patch for rblsmtpd
